%define pypi_name keyrings.alt

Name:           python-%{pypi_name}
Version:        4.0.2
Release:        %mkrel 3
Summary:        Alternate keyring implementations
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/keyrings.alt
Source0:        https://files.pythonhosted.org/packages/62/a4/cfa759dc4a5113d653a1dfdbd61011e88fe7abb7a476c8ca10f37e2a789c/keyrings.alt-%{version}.tar.gz
BuildArch:      noarch

%description
Alternate keyring backend implementations for use with the keyring package.

Keyrings in this package may have security risks or other implications. These
backends were extracted from the main keyring project to make them available
for those who wish to employ them, but are discouraged for general production
use. Include this module and use its backends at your own risk.

%package -n     python3-%{pypi_name}
Summary:        Alternate keyring implementations
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
Alternate keyring backend implementations for use with the keyring package.

Keyrings in this package may have security risks or other implications. These
backends were extracted from the main keyring project to make them available
for those who wish to employ them, but are discouraged for general production
use. Include this module and use its backends at your own risk.

%prep
%setup -q -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files keyrings

%check
#{__python3} setup.py test

%files -n python3-%{pypi_name} -f %{pyproject_files}


%changelog
* Tue Dec 12 2023 papoteur <papoteur> 4.0.2-3.mga10
+ Revision: 2017651
- adaptation to pyproject
- rebuild for python 3.12

* Thu Mar 24 2022 umeabot <umeabot> 4.0.2-3.mga9
+ Revision: 1825037
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 mrambo3501 <mrambo3501> 4.0.2-2.mga9
+ Revision: 1783908
- rebuild for python-3.10

* Tue Mar 23 2021 guillomovitch <guillomovitch> 4.0.2-1.mga9
+ Revision: 1708452
- new version 4.0.2

* Sat Jun 13 2020 guillomovitch <guillomovitch> 3.4.0-1.mga8
+ Revision: 1593128
- new version 3.4.0

* Sun Feb 16 2020 umeabot <umeabot> 3.1.1-3.mga8
+ Revision: 1532040
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 tv <tv> 3.1.1-2.mga8
+ Revision: 1441428
- rebuild for python-3.8
- drop python2 subpkg

* Fri Mar 22 2019 guillomovitch <guillomovitch> 3.1.1-1.mga7
+ Revision: 1379503
- imported package python-keyrings.alt

